Bug 769794 - Review Request: rpm2targz - Convert a .rpm file to a .tar.gz archive
Review Request: rpm2targz - Convert a .rpm file to a .tar.gz archive
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
Stalled review
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-22 04:29 EST by Christoph Brill
Modified: 2013-10-21 00:37 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-19 06:24:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
rpm2targz.spec (1000 bytes, text/x-rpm-spec)
2011-12-22 04:29 EST, Christoph Brill
no flags Details

  None (edit)
Description Christoph Brill 2011-12-22 04:29:59 EST
Created attachment 549154 [details]
rpm2targz.spec

rpm2targz is a tool to convert rpms to .tar.gz files.

Attached is the spec-file for an rpm that reuses the packaged (and versioned) sources from Gentoo Linux to build the package. Please keep in mind that this is one of my first rpms so please forgive any mistakes I made.
Comment 1 Volker Fröhlich 2012-01-08 02:19:47 EST
I can see, you're not in the packagers group? Are you looking for a sponsor? If so, please state that as described in the guidelines.

See http://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

Please fill out review requests as described here: http://fedoraproject.org/wiki/New_package_process_for_existing_contributors
Comment 2 Volker Fröhlich 2012-02-12 11:38:38 EST
How is it going?
Comment 3 Christoph Brill 2012-02-14 17:32:35 EST
Sorry, I was to busy to deeply read the documentation you provided. As soon as I read it I will update this bug.
Comment 4 Martin Erik Werner 2012-03-12 16:41:58 EDT
Informal review:

rpmlint output:
rpm2targz.src: W: spelling-error Summary(en_US) gz -> g, z, gs
rpm2targz.src: E: no-description-tag
rpm2targz.src: E: no-changelogname-tag
rpm2targz.src: W: invalid-license as-is
rpm2targz.x86_64: W: spurious-executable-perm /usr/share/doc/rpm2targz/rpm2targz
.README.Gentoo
rpm2targz.x86_64: W: spurious-executable-perm /usr/share/doc/rpm2targz/rpm2targz
.README
rpm2targz.x86_64: W: no-manual-page-for-binary rpm2tarbz2
rpm2targz.x86_64: W: no-manual-page-for-binary rpm2tarlzma
rpm2targz.x86_64: W: no-manual-page-for-binary rpm2txz
rpm2targz.x86_64: W: no-manual-page-for-binary rpm2tarxz
rpm2targz.x86_64: W: no-manual-page-for-binary rpm2tar
rpm2targz.x86_64: W: no-manual-page-for-binary rpmunpack
rpm2targz.x86_64: W: no-manual-page-for-binary rpm2tgz
rpm2targz.x86_64: W: no-manual-page-for-binary rpm2tbz2
rpm2targz.x86_64: W: no-manual-page-for-binary rpm2targz
rpm2targz.x86_64: W: no-manual-page-for-binary rpmoffset
rpm2targz-debuginfo.x86_64: E: no-changelogname-tag
rpm2targz-debuginfo.x86_64: W: invalid-license as-is
rpm2targz-debuginfo.x86_64: E: debuginfo-without-sources
3 packages and 1 specfiles checked; 6 errors, 17 warnings.

Please include a %description - section for your package, bits from the text in rpm2targz.README might be appropriate.

The license "as-is" is not a valid license, It appears that the license for the 'rpm2targz' script is a custom one, but in essence seems to be equivalent to a 2-Clause BSD license. Please contact upstream and clarify that this is the intention, and possibly aks them to use this well-know license instead of a custom one.

Please also inquire about the license for the remaining files in the tarball, since this license specifically refers to the 'script' and nothing more.

BuildRequires: xz

is superfluous, as per http://fedoraproject.org/wiki/Packaging:Guidelines#BuildRequires


Are you targeting EPEL5?
If not you can remove the following bits:

###
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

(in %install)
rm -rf $RPM_BUILD_ROOT

(all of)
%clean
rm -rf $RPM_BUILD_ROOT

(in %files)
%defattr(-,root,root,-)
###

Refer to http://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag and http://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions


You should use the macro
%{_bindir}
instead of
/usr/bin
and you might want to use a wildcard (*) to include all binaries instead of listing them one by one (unless you happen to need to have a comment with an individual license or so).

Similarly you should use
%{_docdir}/%{name}/
in order to declare ownership over this new folder.
Don't use %{_docdir} as-is, this package should not own that folder, but rather the rpm2targz subfolder, as per above.

Also, depending on the circumstance, it might be better to skip creating the doc dir altogether and simply rely on the %doc macro, like so:

%doc rpm2targz.README rpm2targz.README.Gentoo

This will likely fix the permission errors reported by rpmlint, also.

In addition, the information in the .Gentoo README file seems to be outdated, it might be an idea to not include it?


The debuginfo appears to have no surces, likely due to the binary being compiled without the debug flag, please use
make %{?_smp_mflags} CXXFLAGS="%{optflags}"
in your %build section in order to enable this.


Please create a changelog, for a template you can use:
$ rpmdev-bumpspec -u "Your Name your@email.com" rpm2targz.spec
and edit it accordingly, and bump it as you update your spec file (also during the review iterations).


For bonus points: write a brief manpage for the different tools and submit this upstream.
Comment 5 Jens Petersen 2012-05-07 22:08:00 EDT
Perhaps it might be better to start from this package for opensuse
which adds some manpages, etc.

https://build.opensuse.org/package/binary?arch=x86_64&filename=rpm2targz-9.0.0.4g-4.36.lk.src.rpm&package=rpm2targz&project=home%3ALazy_Kent&repository=openSUSE_Factory

Anyway as Martin says first the license issues need to be clarified.
Comment 6 Volker Fröhlich 2012-09-30 14:35:01 EDT
Christoph, any news here?
Comment 7 Fedora End Of Life 2013-01-16 11:07:09 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Volker Fröhlich 2013-01-19 06:24:18 EST
No response for almost a year, closing.

Note You need to log in before you can comment on or make changes to this bug.